/***************************************************************************
                          dlgdokumentinsert.cpp  -  description                              
                             -------------------                                         
    begin                : Mon Aug 16 1999                                           
    copyright            : (C) 1999 by Stephan Uhlmann                         
    email                : suhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "dlgdokumentinsert.h"

DlgDokumentInsert::DlgDokumentInsert(QWidget *parent, const char *name) : QDialog(parent,name,true){
	initDialog();

  connect(OK_PushButton,SIGNAL(clicked()),SLOT(slotOKPressed()));
  connect(Cancel_PushButton,SIGNAL(clicked()),SLOT(reject()));


}

DlgDokumentInsert::~DlgDokumentInsert(){
}

void DlgDokumentInsert::slotOKPressed(){
 if ( (getVerfasser()=="") || (getTitel()=="") || (getSchluessel()=="") )
  {
   QMessageBox fillit_MessageBox("Dokumentenverwaltung","Bitte fllen Sie alle Felder aus.",
                      QMessageBox::Information, QMessageBox::Ok | QMessageBox::Default,
                      0,0,this,"fillit_MessageBox",TRUE,0);
   fillit_MessageBox.exec();
  }
  else accept();

}

QString DlgDokumentInsert::getVerfasser(){
 return Verfasser_LineEdit->text();
}

QString DlgDokumentInsert::getTitel(){
 return Titel_LineEdit->text();
}

QString DlgDokumentInsert::getSchluessel(){
 return Schluessel_LineEdit->text();
}


void DlgDokumentInsert::setVerfasser(QString NVerfasser)
{ Verfasser_LineEdit->setText(NVerfasser); }

void DlgDokumentInsert::setTitel(QString NTitel)
{ Titel_LineEdit->setText(NTitel); }

void DlgDokumentInsert::setSchluessel(QString NSchluessel)
{ Schluessel_LineEdit->setText(NSchluessel); }


