/***************************************************************************
                          dlgvertragshow.cpp  -  description                              
                             -------------------                                         
    begin                : Tue Aug 17 1999                                           
    copyright            : (C) 1999 by Stephan Uhlmann                         
    email                : suhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "dlgvertragshow.h"

DlgVertragShow::DlgVertragShow(QWidget *parent, const char *name) : QWidget(parent,name){
	initDialog();
}

DlgVertragShow::~DlgVertragShow(){
}

void DlgVertragShow::setVerfasser(QString NVerfasser)
{ Verfasser_Show_Label->setText(NVerfasser);}

void DlgVertragShow::setTitel(QString NTitel)
{ Titel_Show_Label->setText(NTitel); }

void DlgVertragShow::setSchluessel(QString NSchluessel)
{ Schluessel_Show_Label->setText(NSchluessel); }

void DlgVertragShow::setErstellungsdatum(QDateTime NErstellungsdatum)
{ Erstellungsdatum_Show_Label->setText(NErstellungsdatum.toString()); }

void DlgVertragShow::setVertragsnummer(QString NVertragsnummer)
{ Vertragsnummer_Show_Label->setText(NVertragsnummer); }

void DlgVertragShow::setUnterschriftBankVorhanden(bool NUnterschriftBankVorhanden)
{ if (NUnterschriftBankVorhanden) UnterschriftBankVorhanden_Show_Label->setText("vorhanden");
   else UnterschriftBankVorhanden_Show_Label->setText("nicht vorhanden"); }

void DlgVertragShow::setUnterschriftKundeVorhanden(bool NUnterschriftKundeVorhanden)
{ if (NUnterschriftKundeVorhanden) UnterschriftKundeVorhanden_Show_Label->setText("vorhanden");
   else UnterschriftKundeVorhanden_Show_Label->setText("nicht vorhanden"); }


void DlgVertragShow::setVertragstext(QString NVertragstext)
{ Vertragstext_MultiLineEdit->setText(NVertragstext); }

void DlgVertragShow::setAenderungsdatum(QDateTime NAenderungsdatum)
{ Aenderungsdatum_Show_Label->setText(NAenderungsdatum.toString()); }


